changeset 6538:6c7047fd93f0

Follow-on for RT-36330 to print the supported gradle version on failure
author kcr
date Fri, 21 Mar 2014 17:15:41 -0700
parents 27390e79b4cf
children da21a84618ee
files build.gradle
diffstat 1 files changed, 2 insertions(+), 2 deletions(-) [+]
line wrap: on
line diff
--- a/build.gradle	Fri Mar 21 16:04:59 2014 -0700
+++ b/build.gradle	Fri Mar 21 17:15:41 2014 -0700
@@ -697,7 +697,7 @@
     def gradleMinor = Integer.parseInt(ver[1]);
     def err = "";
     if (gradleMajor != 1) {
-        err = "Gradle major version is incompatible: ${gradle.gradleVersion}; expected 1.8";
+        err = "Gradle major version is incompatible: ${gradle.gradleVersion}; supported version is 1.8";
     } else {
         if (gradleMinor < 8) {
             err = "Gradle version too old: ${gradle.gradleVersion}; must be at least 1.8"
@@ -705,7 +705,7 @@
 
         // Blacklisted versions of gradle
         if (gradleMinor == 11) {
-            err = "JavaFX fails to build with Gradle ${gradle.gradleVersion}"
+            err = "JavaFX fails to build with Gradle ${gradle.gradleVersion}; supported version is 1.8"
         }
     }